be.vlaanderen.mercurius.mohm.schemas.v1

## Class ApplicationWheelchairAdviceReportType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationWheelchairAdviceReportType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:25:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class ApplicationWheelchairAdviceReportType
      extends Object
      implements Serializable

  Generiek type voor RAR in een aanvraag.

  Java class for ApplicationWheelchairAdviceReportType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ApplicationWheelchairAdviceReportType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApprovalNumberType"/>
               <element name="RARDocument" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DocumentListType"/>
               <element name="RequestedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="CreatedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="ReceivedDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="HasHomeVisit" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationWheelchairAdviceReportType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApprovalNumber()` Gets the value of the approvalNumber property.
    `org.joda.time.DateTime` | `getCreatedDate()` Gets the value of the createdDate property.
    `DocumentListType` | `getRARDocument()` Gets the value of the rarDocument property.
    `org.joda.time.DateTime` | `getReceivedDate()` Gets the value of the receivedDate property.
    `org.joda.time.DateTime` | `getRequestedDate()` Gets the value of the requestedDate property.
    `boolean` | `isHasHomeVisit()` Gets the value of the hasHomeVisit property.
    `void` | `setApprovalNumber(String value)` Sets the value of the approvalNumber property.
    `void` | `setCreatedDate(org.joda.time.DateTime value)` Sets the value of the createdDate property.
    `void` | `setHasHomeVisit(boolean value)` Sets the value of the hasHomeVisit property.
    `void` | `setRARDocument(DocumentListType value)` Sets the value of the rarDocument property.
    `void` | `setReceivedDate(org.joda.time.DateTime value)` Sets the value of the receivedDate property.
    `void` | `setRequestedDate(org.joda.time.DateTime value)` Sets the value of the requestedDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationWheelchairAdviceReportType

          public ApplicationWheelchairAdviceReportType()

  - ### Method Detail

    - #### getApprovalNumber

          public String getApprovalNumber()

      Gets the value of the approvalNumber property.
      Returns:
        possible object is `String`

    - #### setApprovalNumber

          public void setApprovalNumber(String value)

      Sets the value of the approvalNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRARDocument

          public DocumentListType getRARDocument()

      Gets the value of the rarDocument property.
      Returns:
        possible object is `DocumentListType`

    - #### setRARDocument

          public void setRARDocument(DocumentListType value)

      Sets the value of the rarDocument property.
      Parameters:
        `value` - allowed object is `DocumentListType`

    - #### getRequestedDate

          public org.joda.time.DateTime getRequestedDate()

      Gets the value of the requestedDate property.
      Returns:
        possible object is `String`

    - #### setRequestedDate

          public void setRequestedDate(org.joda.time.DateTime value)

      Sets the value of the requestedDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreatedDate

          public org.joda.time.DateTime getCreatedDate()

      Gets the value of the createdDate property.
      Returns:
        possible object is `String`

    - #### setCreatedDate

          public void setCreatedDate(org.joda.time.DateTime value)

      Sets the value of the createdDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceivedDate

          public org.joda.time.DateTime getReceivedDate()

      Gets the value of the receivedDate property.
      Returns:
        possible object is `String`

    - #### setReceivedDate

          public void setReceivedDate(org.joda.time.DateTime value)

      Sets the value of the receivedDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### isHasHomeVisit

          public boolean isHasHomeVisit()

      Gets the value of the hasHomeVisit property.

    - #### setHasHomeVisit

          public void setHasHomeVisit(boolean value)

      Sets the value of the hasHomeVisit property.

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.